package unsw891.optimiser.global;


class HeurSize {

    public static final int SIZE_COUNT = 10;


    public int startpos; // inclusive
    public int endpos;   // inclusive
    public int[] sizeCount;
    



    public HeurSize(int pos) {
        startpos = pos;
        sizeCount = new int[SIZE_COUNT]; // java inits it.
    }
    
    
    public HeurSize(HeurSize sz) {
        startpos = sz.startpos;
        endpos = sz.endpos;
        sizeCount = new int[SIZE_COUNT];
        for (int i = 0; i < SIZE_COUNT; ++i)
            sizeCount[i] = sz.sizeCount[i];
    }

}

