package unsw891.parser;

import java.util.*;
import unsw891.sml.*;

class ASTDocument extends SimpleNode {
    private String name;
    Document doc;

    public ASTDocument(int id) {
        super(id);

        doc = new Document(Document.TAG_INVALID);
    }

    public void setType(int t) {
        doc.type = t;
    }

    public void setText(String s) {
         doc.text = s;
    }

    public Document getTree() {
        doc.children = new Vector();

        if (jjtGetNumChildren() == 0)
          return doc;

        ASTDocumentM docm = (ASTDocumentM)jjtGetChild(0);

        for (int i = 0; i < docm.jjtGetNumChildren(); ++i)
            doc.children.addElement(((ASTDocument)docm.jjtGetChild(i)).getTree());

        return doc;
    }

    public String toString() {
        return doc.toString();
    }
}
