package unsw891.parser;

import unsw891.sml.*;

/**
 *Created by John for Harvey to debug his Parser
 */
public class ParserDocDebugPrinter {
	
	/**
	 *<MODIFICATION LOG>
	 *Friday 9:02PM - John - Move this from Document.java
	 */
	public static String debugPrint(Document doc) {
		String s = "unsw891.sml.Document(";

		switch (doc.type) {
		    case Document.TAG_ROOT:
			s += "Document root"; break;
		    case Document.TAG_TEXT:
			s += "Text - \"" + doc.text + "\""; break;
		    case Document.TAG_B:
			s += "Property - Bold"; break;
		    case Document.TAG_EM:
			s += "Property - Emphasis"; break;
		    case Document.TAG_I:
			s += "Property - Italic"; break;
		    case Document.TAG_PL:
			s += "Property - Plain"; break;
		    case Document.TAG_S:
			s += "Property - Strong"; break;
		    case Document.TAG_TT:
			s += "Property - Typewriter"; break;
		    case Document.TAG_U:
			s += "Property - Underline"; break;
		    case Document.TAG_0:
			s += "Property - Size 0"; break;
		    case Document.TAG_1:
			s += "Property - Size 1"; break;
		    case Document.TAG_2:
			s += "Property - Size 2"; break;
		    case Document.TAG_3:
			s += "Property - Size 3"; break;
		    case Document.TAG_4:
			s += "Property - Size 4"; break;
		    case Document.TAG_5:
			s += "Property - Size 5"; break;
		    case Document.TAG_6:
			s += "Property - Size 6"; break;
		    case Document.TAG_7:
			s += "Property - Size 7"; break;
		    case Document.TAG_8:
			s += "Property - Size 8"; break;
		    case Document.TAG_9:
			s += "Property - Size 9"; break;
		    case Document.TAG_r:
			s += "Property - Color red"; break;
		    case Document.TAG_g:
			s += "Property - Color green"; break;
		    case Document.TAG_b:
			s += "Property - Color blue"; break;
		    case Document.TAG_c:
			s += "Property - Color cyan"; break;
		    case Document.TAG_m:
			s += "Property - Color magenta"; break;
		    case Document.TAG_y:
			s += "Property - Color yellow"; break;
		    case Document.TAG_k:
			s += "Property - Color black"; break;
		    case Document.TAG_w:
			s += "Property - Color white"; break;
		    default:
			s += "*** Invalid Document node!! ***";

		}
		
		return (s + ")");
	}
}