package unsw891.optimiser.local3;

import unsw891.sml.*;
import unsw891.optimiser.*;

public class LocalOptimiser implements Optimiser {

    private Document doc;

    public LocalOptimiser(Document doc) {
	this.doc = doc;
    }

	/**
	 * <MODIFICATION LOG>
	 * Friday 5:02pm - John Lai - created but not yet complete. Need to add some
	 * local optimisations
	 */
    public Document outputResult() {
	int prevSize = doc.size();
	int newSize = 0;
	Document prevDoc = doc;
	Document newDoc = null;
	while (prevSize > newSize) {
	    prevSize = prevDoc.size();
	    for (int i = 0; i < doc.children.size() - 1; i++) {
		Document curNode = (Document) doc.children.elementAt(i);
		Document topLeftNode = curNode;
		boolean curStart = true;
		while (curNode.children.size() == 1) {
		    if (curStart) { 
			curStart = false;
		    } else {
			curNode = (Document) curNode.children.elementAt(0);
		    }
		    if (doc.children.size() != 1) {
			Document nextNode = (Document) doc.children.elementAt(i + 1);
			Document topRightNode = nextNode;
			boolean nextStart = true;
			while (nextNode.children.size() == 1) {
			    if (nextStart) { 
				nextStart = false;
			    } else {
				nextNode = (Document) nextNode.children.elementAt(0);
			    }
			    if (curNode.type == nextNode.type) {
				Document newNode = new Document(curNode.type);
				doc.children.add(i, newNode);
				doc.children.remove(topLeftNode);
				doc.children.remove(topRightNode);
				if (topLeftNode == curNode) {
				    if (topLeftNode.children.size() > 0) {
					topLeftNode = (Document) topLeftNode.children.elementAt(0);
				    } else {
					System.out.println("BFDF");
					System.exit(0);
				    }
				}
				if (topRightNode == nextNode) {
				    if (topRightNode.children.size() > 0) {
					topRightNode = (Document) topRightNode.children.elementAt(0);
				    } else {
					System.out.println("BFDF");
					System.exit(0);
				    }
				}
				newNode.children.add(topLeftNode);
				newNode.children.add(topRightNode);
				doc.genLinks();
				removeNode(topLeftNode, curNode);
				removeNode(topRightNode, nextNode);
			    }
			}
		    }
		}
	    }
	    newDoc = prevDoc;
	    newSize = newDoc.size();			
	    prevDoc = (Document) newDoc.clone();
	}
	return doc;
    }

    private void removeNode(Document topNode, Document deadNode) {
	if (topNode == deadNode) {
	    for (int i = 0; i < deadNode.children.size(); i++) {
		topNode.parent.children.add(deadNode.children.elementAt(i));
		((Document) deadNode.children.elementAt(i)).parent = topNode.parent;
	    }
	    topNode.parent.children.remove(deadNode);
	}
	else if (topNode.children.size() > 0) {
	    removeNode((Document) topNode.children.elementAt(0), deadNode);
	}
    }

    public boolean isFinished() {
	System.out.println("unsw891.local7.LocalOptimiser.isFinished() not yet implemented");
	return true;
    }
    
    public void run() {
	System.out.println("unsw891.local7.LocalOptimiser.run() not yet implemented");
	
    }

    public void stop() {
	System.out.println("unsw891.local7.LocalOptimiser.stop() not yet implemented");
	
    }

}
