package unsw891.parser;

import java.util.*;
import unsw891.sml.*;

public class ASTDocumentRoot extends SimpleNode {
  Document doc;

  public ASTDocumentRoot(int id) {
    super(id);

    doc = new Document(Document.TAG_ROOT);
  }

  public ASTDocumentRoot(Parser p, int id) {
    super(p, id);
  }

  /* Move this to a super class */
  public Document getTree() {
    doc.children = new Vector();

    if (jjtGetNumChildren() == 0)
      return doc;

   ASTDocumentM docm = (ASTDocumentM)jjtGetChild(0);

   for (int i = 0; i < docm.jjtGetNumChildren(); ++i)
      doc.children.addElement(((ASTDocument)docm.jjtGetChild(i)).getTree());

    return doc;
  }

}
