package unsw891.sml;

import unsw891.sml.Shard;
import java.util.Vector;

// Author: Stephen



/** UGLY HACK - to check if the stack is empty, do (stack.top == null)
    UGLY HACK - to peek at the top element of the stack, do
    stack.top.shard
    
    [MODIFICATION]
    1.1 - lawry - put in a peek() method to hide some of the ugliness.
*/

public class ShardStack {

  public Node top;
  
  public ShardStack() {
    top = null;
  }
  
  public void push(Shard shard) {
    top = new Node(shard,top);
  }
  
  public Shard pop() {
    if (top == null) return null;
    Shard ret = top.shard;
    top = top.child;
    return ret;
  }
  
  
  public Shard peek() {
    if (top == null)
        return null;
    return top.shard;
  }
  
  
  public Vector toVector() {
  	Node current = top;
	Vector ret = new Vector();
	while (current != null) {
	  ret.add(current.shard);
	  current = current.child;
	}
	return ret;
  }
  
  public class Node {
    Shard shard;
    Node child;
    
    Node(Shard shard, Node child) {
      this.shard = new Shard(shard);
      this.child = child;
    }
  }
	
}
