package unsw891.util;

/**
 * Contain functions useful for debugging
 * <MODIFICATION LOG>
 * Thursday 5:47PM - John Lai - created this class and assert function
 */ 
public class Debug {
	
	/**
	 * Print the errorMessage to stderr if the condition is not satisfied
	 * <MODIFICATION LOG>
	 * Thursday 5:47PM - John Lai - created this function.
	 */
	public static void assert(boolean condition, String errorMessage) {
		if (!condition) {
                    System.err.println("**************************************************");
                    System.err.println("*               ASSERT WARNING                   *");
			System.err.println(errorMessage);
                    System.err.println("**************************************************");
		}
	}
	
}
		

